org.eclipse.oomph.ui

## Class PersistentButton.Persistence

- java.lang.Object
- - org.eclipse.oomph.ui.PersistentButton.Persistence

- Direct Known Subclasses:
    PersistentButton.DialogSettingsPersistence, PersistentButton.ToggleCommandPersistence
  Enclosing class:
    PersistentButton

      public abstract static class PersistentButton.Persistence
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentButton.Persistence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `load(boolean defaultSelection)`
    `protected abstract void` | `save(boolean selection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentButton.Persistence

          public PersistentButton.Persistence()

  - ### Method Detail

    - #### load

          protected abstract boolean load(boolean defaultSelection)

    - #### save

          protected abstract void save(boolean selection)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html